# Configuration

### Main Configuration

```lua
ESX = exports['es_extended']:getSharedObject() --do not touch
printDebug = function(msg) if Config.Debug then print(msg) end end --do not touch

-- config file
Config = {
    Debug = false, --toggles additional information for developers
    VersionCheck = true, --check the version of the script
    
    Locale = 'en', --set the locale of the script
    Jobs = {'police', 'marshal'}, --all jobs that can use the buttons

    ChatSuggestions = true, --should we add chat suggestions for the commands?
    PanicButton = 'PAGEDOWN',
    PositionButton = 'PAGEUP',

    Cooldown = 15, --cooldown between using the buttons
    SelfNotify = true, --should the sender get a notify?
}

Discord = {
    Enable = false, --do you want discord webhook messages when someone fires a panic/position
    -- PUT YOUR WEBHOOK LINK IN 'server/sv_apiKeys.lua'!

    Color = 65535, --embed color
    PureContent = 'This is a pure message!', --tag a role for example
    Name = 'lamaPoliceButtons Webhook', --name for the webhook bot
    Avatar = '', --avatar link for the webhook bot
    Title = 'Police-Buttons', --embed title
    Footer = 'Made by SirLamaGott' --embed footer 
}
```

{% hint style="warning" %}
Enabling **Debug** can cause a **higher resmon usage** due to massive prints.
{% endhint %}

### Blip Configuration

```lua
Blip = {
    Enabled = true,
    Time = 30,
    FlashInterval = 200,
}
```

{% hint style="info" %}
&#x20;FlashIntervall is how much the blip on the map should flash.
{% endhint %}

### Sound Configuration

```lua
Sounds = { -- requires: xsound
    Enabled = true,
    URL = 'https://www.youtube.com/watch?v=4-A3b9ztnDQ',
    Volume = 1.0
}
```

{% hint style="success" %}
You can find a guide on how to add sounds to `xsound`here: \[LINK]
{% endhint %}

### Layout Configuration

```lua
PanicButtonLayout = {
    Title = 'Police System', -- title of the notification
    SubTitle = '~r~PANIC BUTTON', -- subtitle of the notification (not used for qb-core)

    Content = 'Officer %s has fired his panic button!', -- "%s" is the officer name
    Icon = 'CHAR_CALL911' -- icons can be found here: https://wiki.rage.mp/index.php?title=Notification_Pictures
}

PositionButtonLayout = {
    Title = 'Police System',
    SubTitle = '~b~Position',

    Content = 'Officer %s has send his location!',
    Icon = 'CHAR_CALL911'
}
```

{% hint style="info" %}
**%s** is the name of the officer that has send the position/panic
{% endhint %}

{% hint style="success" %}
Icons can be found here: **<https://wiki.rage.mp/index.php?title=Notification\\_Pictures>**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.reallifeonline.net/lama-police-buttons/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
